complexType "CashflowNotional"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (currency? | units?), amount
</...>

Content Model Elements (3):

  amount (defined in CashflowNotional complexType), currency (defined in CashflowNotional complexType), | units

All Direct / Indirect Based Elements (2):

  notional (defined in GenericProduct complexType), | notional (in standardProduct)

Known Usage Locations

- As direct type of elements (2):

  notional (defined in GenericProduct complexType), | notional (in standardProduct)

Annotation
The notional/principal value/quantity/volume used to compute the cashflow.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CashflowNotional"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="units" type="xsd:normalizedString"/> </xsd:choice> <xsd:element name="amount" type="xsd:decimal"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
amount

  Type: | xsd:decimal, predefined, simple content

  The quantity of notional (in currency or other units).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="amount" type="xsd:decimal"/>

currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

units

  Type: | xsd:normalizedString, predefined, simple content

  The units in which an amount (not monetary) is denominated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="units" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.